* {
  margin: 0px;
  padding: 0px;
}
body {
  background: #F8F8FF;
}

.header {
  width: 30%;
  margin: 50px auto 0px;
  color: white;
  background: #5F9EA0;
  text-align: center;
  border: 1px solid #B0C4DE;
  border-bottom: none;
  padding: 20px;
}


.wrap{
  margin:20px;
}

.wrap-login{
    max-width: 600px;
    margin: 50px auto;
}
.wrap-register{
    max-width: 700px;
    margin: 50px auto;
}

.form-action-split{
  display: flex;
    align-items: center;
    justify-content: space-between;
}

.hub-header {
  color: white;
  background: #5F9EA0;
  text-align: center;
  border: 1px solid #B0C4DE;
  border-bottom: none;
  padding: 20px;
}

/*
#register-form, .content {
  margin: 0px auto;
  padding: 20px;
  border: 1px solid #B0C4DE;
  background: white;
}
*/

.hub-content {
  margin: 0px auto;
  padding: 20px;
  border: 1px solid #B0C4DE;
  background: white;
}


.input-group {
  margin: 10px 0px 10px 0px;
}
.input-group label {
  display: block;
  text-align: left;
  margin: 3px;
}
.input-group input[type=text] ,
.input-group input[type=email],
.input-group input[type=password]  {
  height: 30px;
  width: 100%;
  padding: 7px 5px;
  font-size: 16px;
  border-radius: 5px;
  border: 1px solid gray;
  box-sizing: border-box;
}
.input-group select {
  height: 30px;
  width: 100%;
  padding: 7px 5px;
  border-radius: 5px;
  border: 1px solid gray;
  box-sizing: border-box;
}
.form-checkbox{
  display: flex;
  cursor: pointer;
}
.form-checkbox input{
  margin-right: 5px;
}
.form-checkbox-section{
  margin-top:20px;
}
.form-action-wrap{
  margin-top: 20px;
 }

.btn {
  padding: 10px;
  font-size: 15px;
  color: white;
  background: #5F9EA0;
  border: none;
  border-radius: 5px;
  cursor: pointer;
}

.btn-logout{
  padding: 10px;
  font-size: 15px;
  color: white;
  background: #ff574a;
  border: none;
  border-radius: 5px;
}
.submit-btn{
  margin-right: 10px;
}

.default-btn {
  cursor: pointer;
  padding: 5px;
}

.error {
  padding: 10px; 
  border: 1px solid #a94442; 
  color: #a94442; 
  background: #f2dede; 
  border-radius: 5px; 
  text-align: left;
}
.modal-error{
    display: none;
}
.success {
     padding: 10px; 
  color: #3c763d; 
  background: #dff0d8; 
  border: 1px solid #3c763d;
  margin-bottom: 20px;
   border-radius: 5px; 
  text-align: left;
  margin-top: 10px;
}
.success-pre{
  white-space: pre-line;
}
.notice {
     padding: 10px;
    color: #ffffff;
    background: #e07777;
    border: 1px solid #7d7d7d;
    margin-bottom: 20px;
    border-radius: 5px;
    text-align: left;
}
#ap-modal-ta{
    margin-top: 5px;
}




#register-note{
    color: #eee;
    text-align: left;
}
.form-info{
    font-size: 1em;
    color: #b0b0b0;
}
.info{
    font-size: 0.9em;
    color: #999;
}


.domain-info{
    color: #ff4f4f;
}

#user-licences-table-wrap{
    overflow-x:auto;
}



#user-licences-table button{
  margin-left: 5px;
}



/* modal */
body.ap-modal-open {
    overflow: hidden!important;
}
.ap-modal {
    display: none; 
    position: fixed; 
    left: 0;
    top: 0;
    width: 100%; 
    height: 100%; 
    z-index: 99999!important;
}
.ap-modal-bg {
    position: absolute;
    overflow-x: hidden;
    overflow-y: scroll;
    -webkit-overflow-scrolling: touch;
    max-height: 100%;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    background: rgba(0,0,0,0.6);
    padding: 100px 0; 
}
.ap-modal-inner {
    position: absolute;
    box-sizing: border-box;
    left: 50%;
    max-width: 700px;
    width: 100%;
    -webkit-transform: translate(-50%);
    -ms-transform: translate(-50%);
    transform: translate(-50%);
}
.ap-modal-content {
    background-color: #fefefe;
    padding: 20px;
    border: 1px solid #888;
    position: relative;
    overflow: hidden;
}

.ap-modal-content-inner {
    display: flex;
    flex-direction: column;
    margin: 10px 0;
}
.ap-modal-actions {
    float: right;
}

#ap-modal-close{
  float: right;
  cursor: pointer;
  display: none;
}






table {
    border-spacing: 0;
    overflow-x: auto;
    text-align: left;
    width: 100%;
}
table th{
    white-space:nowrap;   
}


table td,
table th {
    border-bottom: 0.1rem solid #e1e1e1;
    padding: 5px;
}

.inner-table td,
.inner-table th {
    border-bottom: 0;
     padding: 3px 0;
}






.license-actions{
    display: flex;
    justify-content: space-between;
    margin-bottom:20px;
    margin-top:20px;
}


.token-field{
    border:none;
}




#loader {
    position: fixed;
    right: 0;
    top: 0;
    bottom: 0;
    left: 0;
    overflow-x: auto;
    overflow-y: scroll;
    z-index: 9999999;
    background: #000;
    background: rgba(0,0,0,0.7);
    width: 100%;
    height: 100%;
    z-index: 99999;
    display: none;
}
.loader-anim{
    position: absolute;
    width: 60px;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}
.loader-anim span{
    display:block;
    bottom:0;
    width: 9px;
    height: 5px;
    background:#e9eded;
    position:absolute;
    animation: hap_preloader 1.5s  infinite ease-in-out;
}
.loader-anim span:nth-child(2){
    left:11px;
    animation-delay: .2s;
}
.loader-anim span:nth-child(3){
    left:22px;
    animation-delay: .4s;
}
.loader-anim span:nth-child(4){
    left:33px;
    animation-delay: .6s;
}
.loader-anim span:nth-child(5){
    left:44px;
    animation-delay: .8s;
}
@keyframes hap_preloader {
    0% {height:5px;transform:translateY(0px);}
    25% {height:30px;transform:translateY(15px);}
    50% {height:5px;transform:translateY(0px);}
    100% {height:5px;transform:translateY(0px);}
}



.row-hidden{
  display: none;
}
#no-results{
   display: none;
}
#no-results-msg{
    display: none;
    font-size: 22px;
    line-height: 100px;
    margin-left: 100px;
    color: red;
}


.field-wrap-header{
    font-weight: bold;
}
.field-token{
  overflow: hidden;
  text-overflow:ellipsis;
  max-width: 150px;
  display: block;
  text-overflow: ellipsis;
      white-space: nowrap;
}
.download-btn,
.add-domain-btn,
.copy-token-btn{
    padding: 3px;
    cursor: pointer;
}
.field-highlight{
    background: #2196f3;
    color:#fff;
}
.copy-token-btn-hidden{
    display: none;
}


.token-expired{
    background: #e4645b;
    padding: 2px 5px;
    color: #fff;
    border-radius: 5px;
    margin-left: 8px;
}


.domain-rule{
    color:red;
}

.pc-item-row-active{
    background-color: #E7E9EB;
}


#help-toggle-instructions-btn{

}
#help-instructions{
  display: none;
  padding: 5px;
  background: #efefef78;
  border: 1px solid #e6e6e6;
  margin-top: 10px;
}

.ap-object-visible{
  display: block!important;
}


.support-check-btn{
  margin: 10px;
}



.trial-message{
  padding: 30px;
  background: #e2eeef;
  border: 1px solid #aaa;
}